> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transaction.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Product

> Delete a product

Delete a product from the merchant's catalog.

<ParamField path="productId" type="string" required>
  Product ID to delete
</ParamField>

<ResponseField name="success" type="boolean">
  Indicates if the request was successful
</ResponseField>

<ResponseField name="data" type="object">
  Deletion result
</ResponseField>

## Example Request

```bash theme={null}
curl -X DELETE https://api.transaction.gg/merchant/product/delete \
  -H "Authorization: Bearer jwt_token" \
  -H "Content-Type: application/json" \
  -d '{
    "productId": "prod_X4dUuzsMaruQ4UsX"
  }'
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "deleted": true,
    "productId": "prod_X4dUuzsMaruQ4UsX"
  }
}
```

## Error Responses

<ResponseExample name="Product Not Found">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "status": 404,
      "code": "PRODUCT_NOT_FOUND",
      "message": "Product not found"
    },
    "data": null
  }
  ```
</ResponseExample>
